<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.m05bConstantesPaginas" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>
<HTML>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<head>
		<title>Mantenimiento de Tablas</title>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';" onunload="document.body.style.cursor='wait';">
  <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en función del idioma
	var rutaCabecera;	//Camino de migas
	rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05b/m05bTablasJsp.jsp'>\\Tablas</a>";
 </SCRIPT>
 <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
 <TABLE class="general">
    <tr > 
       <td class="searchTitle">C&oacute;digo</td>
       <td class="searchTitle">Descripci&oacute;n</td>
    </tr>
 </TABLE>
<%

	int contador = 0;
	String sql = "";
	String sql2 = "";
	String codigo="";
	String marca="";
	String descripcion="";
    java.sql.Connection conn=null;
    PreparedStatement pstmt = null;
    ResultSet rs = null;

		
	try{
	session.removeAttribute("Tabla");
	codigo = request.getParameter("Codigo");
	if ((codigo == null) || (!(codigo.equals("Nuevo")))) { 
	   marca = request.getParameter("Marca");
	   marca = marca.toUpperCase();
	}
	sql = "select COD_TAB_98, DESCRIP_98 from M0598T00";

	if ((descripcion.equals("")) || (descripcion == null))
		sql2 = sql2;
	else{	
		descripcion = "%" + descripcion + "%";
		sql2 = sql2 + " where COD_TAB_98 like ? ";
	}
    
    //m05bBeginSelect(sql);

	 m05bConexion miConex = new m05bConexion();
     conn = miConex.getConnection();
     conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
	 pstmt = conn.prepareStatement(sql);

	if ((descripcion.equals("")) || (descripcion == null))
		contador = contador;
	else{
		contador = contador + 1;
		pstmt.setString(contador, descripcion);
	}
	//m05bRS = m05bPStmt.executeQuery();
	rs = pstmt.executeQuery();    
	while (rs.next()){
		descripcion = rs.getString("DESCRIP_98");
	%>
	<TABLE class="general">
	    <tr> 
	      <td width="50%" align=right> 
	      	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo('');" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
	      </td>
	      <td width="50%" align=left> 
	      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar('<%%>',Ejer.value);" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
	      </td>
		</tr>
	  </TABLE>
	<%}%>
%>

 
</FORM>
<%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>
<%
	//m05bEndSelect();
		if (rs != null)
		    rs.close();
		if (pstmt != null)
		    pstmt.close();
		if (conn != null)
		    conn.close();

	
} catch (Exception SQLException) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	miLog.addTraza(SQLException);
}%>
</BODY>
</HTML>